defmodule Akkoma2org.Repo.Migrations.CreateActions do
  use Ecto.Migration

  def change do
    execute(
      """
      CREATE VIRTUAL TABLE actions USING fts5(
        updated_at UNINDEXED,
        inserted_at UNINDEXED,

        actor UNINDEXED,
        dest UNINDEXED,
        published UNINDEXED,
        type UNINDEXED,
        action_type UNINDEXED,
        full_as2 UNINDEXED,
        summary,
        post_source,
        content,
        external_id,
        full_action UNINDEXED,
      );
      """,
      """
      DROP TABLE actions
      """
    )
  end
end
